import request from '@/utils/request'

// 查询裂解培训列表
export function listLjplandsdt(query) {
  return request({
    url: '/bccnew/ljplandsdt/listAll',
    method: 'get',
    params: query
  })
}

// 查询裂解培训详细
export function getLjplandsdt(id) {
  return request({
    url: '/bccnew/ljplandsdt/' + id,
    method: 'get'
  })
}

// 新增裂解培训
export function addLjplandsdt(data) {
  return request({
    url: '/bccnew/ljplandsdt',
    method: 'post',
    data: data
  })
}

// 修改裂解培训
export function updateLjplandsdt(data) {
  return request({
    url: '/bccnew/ljplandsdt',
    method: 'put',
    data: data
  })
}


// 修改裂解培训
export function updateLjLearnTime(data) {
  return request({
    url: '/bccnew/ljplandsdt/updateLjLearnTime',
    method: 'put',
    data: data
  })
}

// 删除裂解培训
export function delLjplandsdt(id) {
  return request({
    url: '/bccnew/ljplandsdt/' + id,
    method: 'delete'
  })
}

// 导出裂解培训
export function exportLjplandsdt(query) {
  return request({
    url: '/bccnew/ljplandsdt/export',
    method: 'get',
    params: query
  })
}
